Get Quotes
gets the complete details and its properties
Request to be POSTed to uri : /NorenWClientAPI/GetQuotes
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| exch | Exchange | |
| token | Contract Token |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetQuotes' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO", "exch":"NSE", "token":"22"}
Response Details :
Response data will be in json format with below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| request_time | It will be present only in a successful response. | |
| stat | Ok or Not_Ok | Watch list update success or failure indication. |
| exch | NSE, BSE, NFO ... | Exchange |
| tsym | Trading Symbol | |
| cname | Company Name | |
| symname | Symbol Name | |
| seg | Segment | |
| instname | Instrument Name | |
| isin | ISIN | |
| pp | Price precision | |
| ls | Lot Size | |
| ti | Tick Size | |
| mult | Multiplier | |
| uc | Upper circuit limitlc | |
| lc | Lower circuit limit | |
| wk52_h | ||
| wk52_l | ||
| issuecap | ||
| cutof_all | ||
| prcftr_d | Price factor | |
| token | Token | |
| lp | LTP | |
| o | Open Price | |
| c | Close Price | |
| h | Day High Price | |
| l | Day Low Price | |
| v | Volume | |
| ap | Average trade price or VWAP for day | |
| ltq | Last trade quantity | |
| ltt | Last trade time | |
| ltd | dd-mm-yy | Last Trade Date |
| tbq | ||
| tsq | ||
| bp1 | Best Buy Price 1 | |
| sp1 | Best Sell Price 1 | |
| bp2 | Best Buy Price 2 | |
| sp2 | Best Sell Price 2 | |
| bp3 | Best Buy Price 3 | |
| sp3 | Best Sell Price 3 | |
| bp4 | Best Buy Price 4 | |
| sp4 | Best Sell Price 4 | |
| bp5 | Best Buy Price 5 | |
| sp5 | Best Sell Price 5 | |
| bq1 | Best Buy Quantity 1 | |
| sq1 | Best Sell Quantity 1 | |
| bq2 | Best Buy Quantity 2 | |
| sq2 | Best Sell Quantity 2 | |
| bq3 | Best Buy Quantity 3 | |
| sq3 | Best Sell Quantity 3 | |
| bq4 | Best Buy Quantity 4 | |
| sq4 | Best Sell Quantity 4 | |
| bq5 | Best Buy Quantity 5 | |
| sq5 | Best Sell Quantity 5 | |
| bo1 | Best Buy Orders 1 | |
| so1 | Best Sell Orders 1 | |
| bo2 | Best Buy Orders 2 | |
| so2 | Best Sell Orders 2 | |
| bo3 | Best Buy Orders 3 | |
| so3 | Best Sell Orders 3 | |
| bo4 | Best Buy Orders 4 | |
| so4 | Best Sell Orders 4 | |
| bo5 | Best Buy Orders 5 | |
| so5 | Best Sell Orders 5 | |
| und_exch | Underlying Exch seg | |
| und_tk | Underlying Token | |
| ord_msg | Order Message | |
| sptprc | Spot Price [ # ] |
[#] - By Default disabled and Enabled on request basis.
Sample Success Response :
{
"request_time": "16:40:05 04-12-2025",
"stat": "Ok",
"exch": "NSE",
"tsym": "ACC-EQ",
"cname": "ACC LIMITED",
"symname": "ACC",
"seg": "EQT",
"instname": "EQ",
"isin": "INE012A01025",
"pp": "2",
"ls": "1",
"ti": "0.10",
"mult": "1",
"lut": "1764667383",
"uc": "2208.20",
"lc": "1472.20",
"wk52_h": "2544.90",
"wk52_l": "1778.45",
"issuecap": "187787263.000000",
"cutof_all": "false",
"prcftr_d": "(1 / 1 ) * (1 / 1)",
"token": "22",
"lp": "1847.00",
"c": "1850.50",
"h": "1857.00",
"l": "1844.20",
"ap": "1849.64",
"o": "1850.50",
"v": "60469",
"ltq": "1",
"ltt": "14:52:58",
"ltd": "02-12-2025",
"tbq": "38589",
"tsq": "48125",
"bp1": "1846.30",
"sp1": "1847.00",
"bp2": "1846.20",
"sp2": "1847.70",
"bp3": "1846.10",
"sp3": "1847.80",
"bp4": "1846.00",
"sp4": "1847.90",
"bp5": "1845.90",
"sp5": "1848.00",
"bq1": "1",
"sq1": "19",
"bq2": "8",
"sq2": "19",
"bq3": "4",
"sq3": "15",
"bq4": "53",
"sq4": "27",
"bq5": "9",
"sq5": "464",
"bo1": "1",
"so1": "1",
"bo2": "2",
"so2": "2",
"bo3": "2",
"so3": "2",
"bo4": "8",
"so4": "4",
"bo5": "3",
"so5": "5"
}
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid User Id"
}